Skip to main content
POST
/
api
/
v1
/
contacts
/
{uuid}
/
blacklist
Add a contact to the blacklist
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/contacts/{uuid}/blacklist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "Repeated abusive behavior",
  "type": "Both",
  "is_permanent": true,
  "expires_at": "2026-12-31"
}
'
{
  "success": true,
  "message": "Contact added to blacklist",
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "Blacklisted",
    "blacklist": {
      "type": "<string>",
      "reason": "<string>",
      "is_permanent": true,
      "expires_at": "2023-11-07T05:31:56Z",
      "blacklisted_at": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.mindhunters.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Body

application/json
reason
string
required

Why the contact is being blacklisted (min 3 characters)

Example:

"Repeated abusive behavior"

type
enum<string>
Available options:
Phone,
Email,
Both
Example:

"Both"

is_permanent
boolean
Example:

true

expires_at
string<date> | null

Required when is_permanent is false. Must be after today.

Example:

"2026-12-31"

Response

Success

success
boolean
Example:

true

message
string
Example:

"Contact added to blacklist"

data
object